package com.rongwei.bscommon.sys.dao;

import com.rongwei.bsentity.domin.SrmIssuesFiveWhyDo;
import com.rongwei.rwadmincommon.system.domain.SysDictDo;
import com.rongwei.rwadmincommon.system.domain.SysOrganizationDo;
import com.rongwei.rwadmincommon.system.domain.SysUserDo;
import com.rongwei.rwcommonentity.commonservers.domain.SysFileItemDo;
import com.rongwei.wfentity.sys.RunTaskDo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * CommonSqlDao class
 *
 * @author XH
 * @date 2023/03/20
 */
@Mapper
public interface QuestionCommonSqlDao {
    List<SysDictDo> getDictValueByDictType(@Param("types") List<String> types);

    List<SrmIssuesFiveWhyDo> getListByMainId(String mainId);

    List<SysOrganizationDo> getOrgInfo(@Param("orgIds") List<String> orgIds);

    List<SysOrganizationDo> getAllOrg();

    @Select("select * from sys_file_item where ID = #{id}")
    SysFileItemDo getFileItemByID(@Param("id") String id);

    List<RunTaskDo> getRunTaskByProcessinsIdAndTaskCode(@Param("processinstId") String processinstId, @Param("taskCode") String taskCode);

    List<SysUserDo> getAlluser();

    List<SysUserDo> getUserByRoleCodeAndOrgId(@Param("orgIds")List<String> orgIds,@Param("roleCode")String roleCode);

}
